

# Module emmap #
* [Data Types](#types)
* [Function Index](#index)
* [Function Details](#functions)

<a name="types"></a>

## Data Types ##




### <a name="type-mmap_file">mmap_file()</a> ###


<pre><code>
mmap_file() = #file_descriptor{}
</code></pre>




### <a name="type-open_option">open_option()</a> ###


<pre><code>
open_option() = read | write | direct | lock | nolock | private | shared | nocache
</code></pre>

<a name="index"></a>

## Function Index ##


<table width="100%" border="1" cellspacing="0" cellpadding="2" summary="function index"><tr><td valign="top"><a href="#close-1">close/1</a></td><td></td></tr><tr><td valign="top"><a href="#open-2">open/2</a></td><td></td></tr><tr><td valign="top"><a href="#open-4">open/4</a></td><td></td></tr><tr><td valign="top"><a href="#position-2">position/2</a></td><td></td></tr><tr><td valign="top"><a href="#pread-3">pread/3</a></td><td></td></tr><tr><td valign="top"><a href="#pwrite-3">pwrite/3</a></td><td></td></tr><tr><td valign="top"><a href="#read-2">read/2</a></td><td></td></tr><tr><td valign="top"><a href="#read_line-1">read_line/1</a></td><td></td></tr><tr><td valign="top"><a href="#simple_test-0">simple_test/0</a></td><td></td></tr></table>


<a name="functions"></a>

## Function Details ##

<a name="close-1"></a>

### close/1 ###

<pre><code>
close(File::<a href="#type-mmap_file">mmap_file()</a>) -&gt; ok
</code></pre>
<br />

<a name="open-2"></a>

### open/2 ###

`open(FileName, Options) -> any()`

<a name="open-4"></a>

### open/4 ###

<pre><code>
open(File::string(), Offset::pos_integer(), Length::pos_integer(), Options::[<a href="#type-open_option">open_option()</a>]) -&gt; {ok, <a href="#type-mmap_file">mmap_file()</a>} | {error, term()}
</code></pre>
<br />

<a name="position-2"></a>

### position/2 ###

<pre><code>
position(File::<a href="#type-mmap_file">mmap_file()</a>, Position::pos_integer() | {bof | cur | eof, Position::integer()}) -&gt; {ok, pos_integer()} | {error, term()}
</code></pre>
<br />

<a name="pread-3"></a>

### pread/3 ###

<pre><code>
pread(File::<a href="#type-mmap_file">mmap_file()</a>, Offset::pos_integer(), Length::pos_integer()) -&gt; {ok, binary()} | {error, term()} | eof
</code></pre>
<br />

<a name="pwrite-3"></a>

### pwrite/3 ###

<pre><code>
pwrite(File::<a href="#type-mmap_file">mmap_file()</a>, Position::pos_integer(), Data::binary()) -&gt; ok | {error, term()}
</code></pre>
<br />

<a name="read-2"></a>

### read/2 ###

<pre><code>
read(File::<a href="#type-mmap_file">mmap_file()</a>, Length::pos_integer()) -&gt; {ok, binary()} | {error, term()} | eof
</code></pre>
<br />

<a name="read_line-1"></a>

### read_line/1 ###

<pre><code>
read_line(File::<a href="#type-mmap_file">mmap_file()</a>) -&gt; {ok, binary()} | {error, term()} | eof
</code></pre>
<br />

<a name="simple_test-0"></a>

### simple_test/0 ###

`simple_test() -> any()`

